package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;

/**
 * 对应数据库表(student_extracurricular_exercises_situation_):
 */
public class StudentExtracurricularExercisesSituation {

	/**  */
	private Long id;
	
	/**  */
	private Integer studentId;
	
	/** 周数 */
	private Integer weekOfYear;
	
	/** 周一日期 */
	private java.util.Date monday;
	
	/** 周末日期 */
	private java.util.Date sunday;
	
	/**  */
	private Integer teacherId;
	
	/** 预期训练次数 */
	private Integer expectExercisesNum;
	
	/** 实际训练次数 */
	private Integer actualExercisesNum;
	
	/** 提交训练次数 */
	private Integer exercisesReplyNum;
	
	/** 训练评价次数 */
	private Integer exercisesMessageNum;
	
	/** 及时训练评价次数 */
	private Integer exercisesMessageTimelyNum;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	private Date lastSubmitTime;

	private String serveType;

	private String courseIds;

	public StudentExtracurricularExercisesSituation() {
	}

	public StudentExtracurricularExercisesSituation(Integer studentId, Integer teacherId, Integer weekOfYear, Date monday, Date sunday,  String serveType, String courseIds) {
		this.studentId = studentId;
		this.weekOfYear = weekOfYear;
		this.monday = monday;
		this.sunday = sunday;
		this.teacherId = teacherId;
		this.serveType = serveType;
		this.courseIds = courseIds;
		this.expectExercisesNum = 1;
		this.actualExercisesNum = 0;
		this.exercisesReplyNum = 0;
		this.exercisesMessageNum = 0;
		this.exercisesMessageTimelyNum = 0;
	}

	public String getCourseIds() {
		return courseIds;
	}

	public void setCourseIds(String courseIds) {
		this.courseIds = courseIds;
	}

	public String getServeType() {
		return serveType;
	}

	public void setServeType(String serveType) {
		this.serveType = serveType;
	}

	public Date getLastSubmitTime() {
		return lastSubmitTime;
	}

	public void setLastSubmitTime(Date lastSubmitTime) {
		this.lastSubmitTime = lastSubmitTime;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setStudentId(Integer studentId){
		this.studentId = studentId;
	}
	
	public Integer getStudentId(){
		return this.studentId;
	}
			
	public void setWeekOfYear(Integer weekOfYear){
		this.weekOfYear = weekOfYear;
	}
	
	public Integer getWeekOfYear(){
		return this.weekOfYear;
	}
			
	public void setMonday(java.util.Date monday){
		this.monday = monday;
	}
	
	public java.util.Date getMonday(){
		return this.monday;
	}
			
	public void setSunday(java.util.Date sunday){
		this.sunday = sunday;
	}
	
	public java.util.Date getSunday(){
		return this.sunday;
	}
			
	public void setTeacherId(Integer teacherId){
		this.teacherId = teacherId;
	}
	
	public Integer getTeacherId(){
		return this.teacherId;
	}
			
	public void setExpectExercisesNum(Integer expectExercisesNum){
		this.expectExercisesNum = expectExercisesNum;
	}
	
	public Integer getExpectExercisesNum(){
		return this.expectExercisesNum;
	}
			
	public void setActualExercisesNum(Integer actualExercisesNum){
		this.actualExercisesNum = actualExercisesNum;
	}
	
	public Integer getActualExercisesNum(){
		return this.actualExercisesNum;
	}
			
	public void setExercisesReplyNum(Integer exercisesReplyNum){
		this.exercisesReplyNum = exercisesReplyNum;
	}
	
	public Integer getExercisesReplyNum(){
		return this.exercisesReplyNum;
	}
			
	public void setExercisesMessageNum(Integer exercisesMessageNum){
		this.exercisesMessageNum = exercisesMessageNum;
	}
	
	public Integer getExercisesMessageNum(){
		return this.exercisesMessageNum;
	}
			
	public void setExercisesMessageTimelyNum(Integer exercisesMessageTimelyNum){
		this.exercisesMessageTimelyNum = exercisesMessageTimelyNum;
	}
	
	public Integer getExercisesMessageTimelyNum(){
		return this.exercisesMessageTimelyNum;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public String getStuAndTeaCode(){
		return StringUtils.join(this.studentId, this.teacherId);
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
